Skip Menu |
 

This queue is for tickets about the libwww-perl CPAN distribution.

Report information
The Basics
Id: 116256
Status: resolved
Priority: 0/
Queue: libwww-perl

People
Owner: Nobody in particular
Requestors: 'spro^^*%*^6ut# [...] &$%*c
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: [PATCH] Compatibility with EUMM 6.57_*
Download (untitled) / with headers
text/plain 131b
See <https://github.com/Perl-Toolchain-Gang/CPAN-Meta/issues/118>. Without this patch, installation is quite broken on perl 5.14.
Subject: open_LBdPsxRH.txt
Download open_LBdPsxRH.txt
text/plain 655b
diff -rup libwww-perl-6.15-aCAPLf/Makefile.PL libwww-perl-6.15-QwIb7o/Makefile.PL --- libwww-perl-6.15-aCAPLf/Makefile.PL 2015-12-04 20:47:30.000000000 -0800 +++ libwww-perl-6.15-QwIb7o/Makefile.PL 2016-07-17 13:35:12.000000000 -0700 @@ -129,6 +129,12 @@ my %WriteMakefileArgs = ( delete $WriteMakefileArgs{BUILD_REQUIRES}; } + (my $mm_v = ExtUtils::MakeMaker::->VERSION) =~ y/_//d; + # These versions get confused by meta-spec => 2 + if ($mm_v >= 6.57_02 && $mm_v < 6.57_07) { + delete $WriteMakefileArgs{META_MERGE}{'meta-spec'}; + } + my %mm_req = ( LICENCE => 6.31, META_MERGE => 6.45,
Download (untitled) / with headers
text/plain 313b
On Sun Jul 17 16:38:04 2016, SPROUT wrote: Show quoted text
> See <https://github.com/Perl-Toolchain-Gang/CPAN-Meta/issues/118>. > > Without this patch, installation is quite broken on perl 5.14.
Another alternative is to skip MYMETA altogether on those versions, as Moo does, but I don’t think such a big hammer is necessary.
Download (untitled) / with headers
text/plain 205b
Another option would be to remove the META_ADD and META_MERGE options when running from a release. EUMM will normally ignore META_* if a META file exists, but these broken versions don't do that properly.
Download (untitled) / with headers
text/plain 317b
On Sun Jul 17 17:09:34 2016, haarg wrote: Show quoted text
> Another option would be to remove the META_ADD and META_MERGE options > when running from a release. EUMM will normally ignore META_* if a > META file exists, but these broken versions don't do that properly.
Is this still an issue now that we've switched to Dist::Zilla?
Download (untitled) / with headers
text/plain 485b
On Wed Mar 01 22:06:38 2017, OALDERS wrote: Show quoted text
> On Sun Jul 17 17:09:34 2016, haarg wrote:
> > Another option would be to remove the META_ADD and META_MERGE options > > when running from a release. EUMM will normally ignore META_* if a > > META file exists, but these broken versions don't do that properly.
> > Is this still an issue now that we've switched to Dist::Zilla?
$ cpan5.14.4 ... Show quoted text
cpan> test LWP
... Result: PASS OALDERS/libwww-perl-6.21.tar.gz /usr/bin/make test -- OK
Download (untitled) / with headers
text/plain 713b
On Wed Mar 01 23:22:15 2017, SPROUT wrote: Show quoted text
> On Wed Mar 01 22:06:38 2017, OALDERS wrote:
> > On Sun Jul 17 17:09:34 2016, haarg wrote:
> > > Another option would be to remove the META_ADD and META_MERGE options > > > when running from a release. EUMM will normally ignore META_* if a > > > META file exists, but these broken versions don't do that properly.
> > > > Is this still an issue now that we've switched to Dist::Zilla?
> > $ cpan5.14.4 > ...
> cpan> test LWP
> ... > Result: PASS > OALDERS/libwww-perl-6.21.tar.gz > /usr/bin/make test -- OK
Oh, wait. That was with the wrong version of EUMM: $ perl5.14.4 -S pmvers ExtUtils::MakeMaker 7.18 I must have upgraded right after reporting the bug.
Download (untitled) / with headers
text/plain 855b
On Wed Mar 01 23:25:49 2017, SPROUT wrote: Show quoted text
> On Wed Mar 01 23:22:15 2017, SPROUT wrote:
> > On Wed Mar 01 22:06:38 2017, OALDERS wrote:
> > > On Sun Jul 17 17:09:34 2016, haarg wrote:
> > > > Another option would be to remove the META_ADD and META_MERGE options > > > > when running from a release. EUMM will normally ignore META_* if a > > > > META file exists, but these broken versions don't do that properly.
> > > > > > Is this still an issue now that we've switched to Dist::Zilla?
> > > > $ cpan5.14.4 > > ...
> > cpan> test LWP
> > ... > > Result: PASS > > OALDERS/libwww-perl-6.21.tar.gz > > /usr/bin/make test -- OK
> > Oh, wait. That was with the wrong version of EUMM: > > $ perl5.14.4 -S pmvers ExtUtils::MakeMaker > 7.18 > > I must have upgraded right after reporting the bug.
I have just tested it with EUMM 6.57_05. It works.
Download (untitled) / with headers
text/plain 1012b
On Thu Mar 02 00:37:17 2017, SPROUT wrote: Show quoted text
> On Wed Mar 01 23:25:49 2017, SPROUT wrote:
> > On Wed Mar 01 23:22:15 2017, SPROUT wrote:
> > > On Wed Mar 01 22:06:38 2017, OALDERS wrote:
> > > > On Sun Jul 17 17:09:34 2016, haarg wrote:
> > > > > Another option would be to remove the META_ADD and META_MERGE > > > > > options > > > > > when running from a release. EUMM will normally ignore META_* > > > > > if a > > > > > META file exists, but these broken versions don't do that > > > > > properly.
> > > > > > > > Is this still an issue now that we've switched to Dist::Zilla?
> > > > > > $ cpan5.14.4 > > > ...
> > > cpan> test LWP
> > > ... > > > Result: PASS > > > OALDERS/libwww-perl-6.21.tar.gz > > > /usr/bin/make test -- OK
> > > > Oh, wait. That was with the wrong version of EUMM: > > > > $ perl5.14.4 -S pmvers ExtUtils::MakeMaker > > 7.18 > > > > I must have upgraded right after reporting the bug.
> > I have just tested it with EUMM 6.57_05. It works.
\o/ Thanks for reporting back. :)


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.